/* reset --------------------------------- */
.menu {
	margin: 0px 0px 0px 0px;
	padding: 0;
	list-style: none;
	float: right;
}

.menu ul {
	margin: 0px 0px 0px 0px;
	padding: 0;
	list-style: none;
}

/* --------------------------------------- */
.menu li,
.menu ul a {}

.menu>li {
	float: left;
}

.menu>li.floatr {
	float: left;
}

.menu li>a {
	display: block;
}

/* --------------------------------------- */
.menu ul {
	left: 0px;
	z-index: 100;
	width: 240px;
}

.menu ul ul {
	width: 220px
}

.menu ul ul {
	top: -10px;
	left: -200px;
}

.menu ul ul ul {
	left: 160px;
}

.menu>li.floatr>ul {
	right: 0;
}

.menu>li.floatr>ul ul {
	left: -125px;
}

.menu li:hover>ul {
	display: block;
}

/* mega menu ----------------------------- */
.menu .cols1,
.menu .cols2,
.menu .cols3,
.menu .full {
	position: absolute;
	display: none;
	z-index: 600;

	overflow: auto;
}





.menu .cols1 {
	width: 138px;
}

.menu .cols2 {
	width: 306px;
}

.menu .cols3 {
	width: 474px;
}

.menu .full {
	width: 978px;
	padding: 10px 30px;
	position: absolute;
	left: 0px;
}

.menu .row {
	margin-top: 20px;
}


.menu>li.floatr>div {
	right: 0;
}

.menu>li.floatr>div.full {
	left: -30px;
}

.menu>li>div.full {
	left: -30px;
}

.menu>li:hover>div {
	display: block;
}

.menu .col1,
.menu .col2,
.menu .col3,
.menu .col4,
.menu .col5 {
	float: left;
	margin-right: 20px;
}